將此篇文章跟 Facebook 上的朋友分享將此篇文章跟 Plurk 上的朋友分享將此篇文章跟 Twitter 上的朋友分享列印轉寄
2018/8/27

依不同架構移轉vCenter 無痛更新ESXi主機

條條大路通新版 實戰升級vSphere 6.7

顧武雄
企業私有雲端應用需求快速成長,更加穩固與快速的基礎建設將不可或缺,為此VMware發行全新的vSphere 6.7來滿足需要擁有超高效能可用性機制以及支援性更廣泛的虛擬化平台。而為了確保整體的業務協同合作能夠更加流暢,本文將說明如何簡單快速升級舊版的vSphere架構。
由於VMware vSphere 5.5將於今年9月19日停止技術支援(EOGS),因此官方建議將此版本(或更舊的版本)升級至vSphere 6.5以上的版本。恰好官方也在今年4月中旬推出最新的vSphere 6.7版本,讓IT部門對於升級的計畫,能夠有一個更新版本的選擇。

所謂的EOGS(End Of General Support)對於現行的IT運行主要會造成的衝擊,除了會在遭遇技術難題時沒有VMware技術團隊的支援之外,也不會再提供任何安全修補程式,以及相容最新的硬體規格,例如更大容量的SSD、HDD、RAM等等。

VMware vSphere架構中的兩個核心元件分別是ESXi和vCenter Server。其中ESXi是一部虛擬化平台主機,可以在其上建立及執行虛擬機器和虛擬應用裝置(Virtual Appliance),雖然它有自己專屬的管理工具,可以管理主機本身與虛擬機器的配置,但是當需要部署與管理的虛擬機器數量相當多,甚至於橫跨多個不同地理位置時,就必須要有一個(或多個)負責中央監視與管理的系統,在單一管理介面內來集中連線這些ESXi主機與所有虛擬機器。

這個中央管理系統就是vCenter Server,在許多IT需求情境下,還必須進一步藉由它來達成各項進階的IT管理需求與策略,例如叢集自動化備援、線上轉移(vMotion)、vSAN、異機異地複寫備份、加密保護等等。當然,這些進階架構與功能的應用,還必須對照不同版本的授權來決定是否可用。此外,針對於vCenter Server的部署,還可區分成vCenter Server for Windows的版本以及採Linux為主的vCenter Server Appliance。

如果想要將舊版的vSphere 6.0/.65架構升級至vSphere 6.7,則升級的四大程序依序為:1.備份vCenter與ESXi伺服器、2.升級vCenter Server、3.升級ESXi主機、4.升級虛擬機器與虛擬應用裝置。

接下來將從程序2開始實戰講解,不過在開始之前,得先了解一下在vCenter Server 6.7中幾項關鍵的增強設計,以及在升級之前的幾個重要注意事項。

vCenter Server 6.7的增強設計

全新的vCenter Server 6.7提供了許多增強的功能設計,首先是運作效能表現上的突破,相較於前一版本,在每秒操作管理上的速度有顯著兩倍提升,而DRS相關任務的執行速度則快上三倍,對記憶體資源的耗損也減少三倍,這意味著新版的vCenter Server可以集中管理更多數量的ESXi主機、叢集以及虛擬機器。除此之外,vCenter Server 6.7還提供以下幾個關鍵的增強功能:

1. 提供更具完整操作功能的vSphere Client(HTML5)網站,包括針對Update Manager和vSAN的功能操作。

2. vCenter Server與內嵌的PSC服務支援增強型的連接模式(Enhanced Linked Mode),為此將帶來以下的效益,包括:不需要額外的負載平衡設備,就可以做到原生的vCenter Server高可用性運作架構;為SSO邊界配置的移除,提供彈性的置放能力;支援在相同SSO網域內最多15個vCSA的連接模式;減少需要管理與維護的節點數量。

3. 支援可連接相同SSO網域但不同站台或相同站台的PSC服務。

4. 提供全新VAMI(vSphere Appliance Management Interface)管理網站的增強功能,包括:更具有善且直覺的操作介面設計;在服務管理的頁面中,除了可以檢視到vCSA所有服務的執行狀態外,還可針對任一服務執行停止、啟動、重新啟動等操作,不必像過去一樣得仰賴CLI命令來使用;而在vCSA的備份管理部分,除了可建立備份計畫之外,還能夠進一步設定要保留多少的備份數量,並支援FTP、FTPS、HTTP、HTTPS以及SCP通訊協定。

vCenter Server升級前的注意事項

雖然全新版本的vCenter Server 6.7提供許多增強的功能設計,但對於現行運作中的vSphere架構,在正式進行升級之前仍有一些需要特別注意的地方,以避免在完成升級後,發生與其他相互整合的系統不相容,在此分別說明如下:

1. 目前已知下列的VMware產品暫時還不相容於vSphere 6.7架構中運行,包括NSX、Horizon 7.4、VMware Integrated OpenStack(VIO)、VMware vSphere Integrated Containers(VIC)以及vCloud Director。

2. 唯一支援vCenter Server Appliance 6.0與6.5升級至vCenter Server Appliance 6.7版本。

這篇文章讓你覺得滿意不滿意
送出
相關文章
整合協作擴展產業應用 強化企業級資安管控
Nutanix 推出超融合二線儲存解決方案
Nutanix 研究顯示:醫療業對混合雲青睞度增加
三步驟擺脫上雲疑慮
增添容器化防火牆 跟進現代應用演進
留言
顯示暱稱:
留言內容:
送出
熱門點閱文章